Package be.cin.nip.async.generic

# Class PostResponseReturn

java.lang.Object
be.cin.nip.async.generic.PostResponseReturn

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class PostResponseReturn extends Object implements Serializable

Java class for postResponseReturn complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="postResponseReturn">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TAck" type="{urn:be:cin:nip:async:generic}TAck"/>
             <element name="Xades-t" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostResponseReturn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TAck`
  `getTAck()`
  Gets the value of the tAck property.
  `Base64Binary`
  `getXadesT()`
  The signature in xades-t form, base64 encoded to preserve the internal signature.
  `void`
  `setTAck(TAck value)`
  Sets the value of the tAck property.
  `void`
  `setXadesT(Base64Binary value)`
  Sets the value of the xadesT property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PostResponseReturn

    public PostResponseReturn()

- ## Method Details

  - ### getTAck

    public TAck getTAck()
    Gets the value of the tAck property.
    Returns:
      possible object is `TAck`

  - ### setTAck

    public void setTAck(TAck value)
    Sets the value of the tAck property.
    Parameters:
      `value` - allowed object is `TAck`

  - ### getXadesT

    public Base64Binary getXadesT()
    The signature in xades-t form, base64 encoded to preserve the internal signature. Optional when the input was emtpy.
    Returns:
      possible object is `Base64Binary`

  - ### setXadesT

    public void setXadesT(Base64Binary value)
    Sets the value of the xadesT property.
    Parameters:
      `value` - allowed object is `Base64Binary`
    See Also:
      - `getXadesT()`